On 05/12/09 14:20, Jerry Jelinek wrote:

It wouldn't really be multiple versions of the brand.  The idea is that
any enhancements to the brand module will need to continue to support
all versions of S10 that are supported in the zone (i.e. S10u8 and beyond).
So, there may be conditional code in the brand module to determine
which KU is installed in a specific zone so that the emulation would
behave differently based on that. Thats what we're trying to describe in the
'versioning' section of the spec.  If that seems confusing we can try
to clarify it.

Thanks, that clears it up. Adding some text at the start of the Versioning section that newer versions of the brand will provide compatibility for older versions of the brand would help I think.

Menno Lageman - Sun Microsystems - http://blogs.sun.com/menno
zones-discuss mailing list

Reply via email to